<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xml:space="preserve" xmlns="http://www.w3.org/1999/xhtml" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:b="http://reference.e-government.gv.at/namespace/notificationdata/20040510#" xmlns:p="http://reference.e-government.gv.at/namespace/persondata/de/20040201#" xmlns:etsi="http://uri.etsi.org/01903/v1.1.1#" xmlns:dsig="http://www.w3.org/2000/09/xmldsig#" xmlns:c="http://www.egiz.gv.at/namespace/notification/20060727#">
	<xsl:output method="xml"/>
	<xsl:template match="/b:Bescheid">
		<html xmlns="http://www.w3.org/1999/xhtml">
			<head>
				<style type="text/css">
    /*<![CDATA[*/
<!--
P {
 text-align:left;
 margin-bottom:10px;
 margin-top:0px;
 margin-right:408px;
 margin-left:46px;
 text-indent:-45px;
 direction:ltr;
 line-height:16px
}
span {
 font-family:'Courier Std','Courier',monospace;
 font-size:10pt;
 font-style:normal;
 font-weight:normal
}
IMG {
 text-align:center;
 vertical-align:top;
 margin-bottom:0px;
 margin-top:0px;
 margin-right:0px;
 margin-left:0px;
 direction:ltr
}
A {
 font-style:normal;
 font-weight:normal
}
body {
        background-image: url(Adler20.jpg);
        background-repeat: no-repeat;
        background-position: center;
}
-->
    /*]]>*/
    </style>
				<title>STRAFREGISTERBESCHEINIGUNG</title>
			</head>
			<body>
				<p>
					<span style="color:#000000">
						<xsl:value-of select="/b:Bescheid/b:Aussteller/b:Behoerde/p:VollerName/text()"/>
						<br/>
						<xsl:value-of select="/b:Bescheid/b:Aussteller/b:Behoerde/p:Verwaltungseinheit/text()"/>
						<br/>
					</span>
				</p>
				<p style="margin-right:0px; margin-left:0px; text-indent:0px">
					<span style="color:#000000">Gebühr entrichtet<br/>
  Wasagasse 22<br/>
1090 Wien</span>
				</p>
				<p style="margin-right:320px; margin-left:0px; text-indent:0px">
					<span style="color:#000000">BEZUG: SB INTERNET <xsl:value-of select="/b:Bescheid/b:Geschaeftszahl/text()"/>
					</span>
					<br/>
					<span style="color:#000000">(REFERENCE NUMBER</span>
					<span style="color:#000000">)</span>
				</p>
				<p style="text-align:center; margin-right:0px; margin-left:0px; text-indent:0px; letter-spacing: 9px;">
					<span style="color:#000000">STRAFREGISTERBESCHEINIGUNG</span>
					<br/>
					<span style="color:#000000">(CRIMINAL RECORD CERTIFICATE</span>
					<span style="color:#000000">)</span>
				</p>
				<p style="margin-right:410px; margin-left:0px; text-indent:0px">
					<span style="color:#000000">Familienname(n): <xsl:value-of select="/b:Bescheid/b:Spruch/b:Spruchteil/b:Parteienantrag/b:Partei/p:KompaktePersonenDaten/p:KompakteNatuerlichePerson/p:KompakterPersonenName/p:Familienname/text()"/>
					</span>
					<br/>
					<span style="color:#000000">(Family Name</span>
					<span style="color:#000000">)</span>
				</p>
				<p style="margin-right:394px; margin-left:0px; text-indent:0px">
					<span style="color:#000000">Geschlecht: <xsl:value-of select="/b:Bescheid/b:Spruch/b:Spruchteil/b:Parteienantrag/b:Partei/p:KompaktePersonenDaten/p:KompakteNatuerlichePerson/p:Geschlecht"/>
					</span>
					<span style="color:#000000">
						<br/>
    (Gender: MALE/FEMALE</span>)</p>
				<p style="margin-right:426px; margin-left:0px; text-indent:0px">
					<span style="color:#000000">Vorname(n): <xsl:value-of select="/b:Bescheid/b:Spruch/b:Spruchteil/b:Parteienantrag/b:Partei/p:KompaktePersonenDaten/p:KompakteNatuerlichePerson/p:KompakterPersonenName/p:Vorname/text()"/>
					</span>
					<br/>
					<span style="color:#000000">(First Name)</span>
				</p>
				<p style="margin-right:488px; margin-left:0px; text-indent:0px">
					<span style="color:#000000">Akad. Grad: <xsl:value-of select="/b:Bescheid/b:Spruch/b:Spruchteil/b:Parteienantrag/b:Partei/p:KompaktePersonenDaten/p:KompakteNatuerlichePerson/p:KompakterPersonenName/p:Vorname/text()"/></span>
					<br/>
					<span style="color:#000000">(Academic Degree</span>
				</p>
				<p style="margin-right:370px; margin-left:0px; text-indent:0px">
					<span style="color:#000000">Geboren am: <xsl:apply-templates select="/b:Bescheid/b:Spruch/b:Spruchteil/b:Parteienantrag/b:Partei/p:KompaktePersonenDaten/p:KompakteNatuerlichePerson/p:Geburtsdatum"/>
						<br/>
					</span>
					<span style="color:#000000">(Date of Birth: DD.MM.YYYY)</span>
				</p>
				<p style="margin-right:378px; margin-left:0px; text-indent:0px">
					<span style="color:#000000">Geburtsort: <xsl:value-of select="/b:Bescheid/b:Spruch/b:Spruchteil/b:Parteienantrag/b:Partei/p:KompaktePersonenDaten/p:KompakteNatuerlichePerson//p:Geburtsort/text()"/>
						<br/>
					</span>
					<span style="color:#000000">(Place of
    Birth</span>
				</p>
				<p style="margin-right:136px; margin-left:0px; text-indent:0px">
					<span style="color:#000000">
						<xsl:value-of select="/b:Bescheid/b:Spruch/b:Spruchteil/b:Parteienantrag/b:Textblock[1]/b:Text/text()"/>
					</span>
				</p>
				<p style="margin-right:0px; margin-left:0px; text-indent:0px">
					<span style="color:#000000">
						<xsl:value-of select="/b:Bescheid/b:Spruch/b:Spruchteil/b:Parteienantrag/b:Textblock[2]/b:Text/text()"/>
					</span>
				</p>
				<p style="margin-bottom:14px; margin-right:0px; margin-left:0px; text-indent:0px">
					<span style="color:#000000">DVR: 0003506<br/>
					</span>
				</p>
				<p style="margin-right:378px; margin-left:0px; text-indent:0px">
					<span style="color:#000000">Tagesdatum: <xsl:apply-templates select="/b:Bescheid/b:DatumGenehmigung"/>
						<br/>
     (Date)<br/>
					</span>
				</p>
				<p style="margin-bottom:93px; margin-right:394px; margin-left:0px; text-indent:0px">
					<span style="color:#000000">Uhrzeit: <xsl:value-of select="/b:Bescheid/c:EinsichtsZeit/text()"/>
						<br/>
     (Time)<br/>
					</span>
				</p>
				<xsl:if test="/b:Bescheid/b:Signatur/dsig:Signature">
					<xsl:call-template name="SigCheckBlock"/>
				</xsl:if>
			</body>
		</html>
	</xsl:template>
	<xsl:template match="/b:Bescheid/b:Spruch/b:Spruchteil/b:Parteienantrag/b:Partei/p:KompaktePersonenDaten/p:KompakteNatuerlichePerson/p:Geburtsdatum">
		<xsl:variable name="datumswert" select="child::node()"/>
		<xsl:choose>
			<xsl:when test="string-length($datumswert) &gt; 10">
				<xsl:value-of select="$datumswert"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="substring($datumswert, 9, 2)"/>.<xsl:value-of select="substring($datumswert, 6, 2)"/>.<xsl:value-of select="substring($datumswert, 1, 4)"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="/b:Bescheid/b:DatumGenehmigung">
		<xsl:variable name="datumswert" select="child::node()"/>
		<xsl:choose>
			<xsl:when test="string-length($datumswert) &gt; 10">
				<xsl:value-of select="$datumswert"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:value-of select="substring($datumswert, 9, 2)"/>.<xsl:value-of select="substring($datumswert, 6, 2)"/>.<xsl:value-of select="substring($datumswert, 1, 4)"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	<xsl:template match="p:Geschlecht">
		<xsl:if test="text()='männlich'">MALE</xsl:if>
		<xsl:if test="text()='weiblich'">FEMALE</xsl:if>
	</xsl:template>
	<xsl:template name="datum">
		<xsl:param name="datumswert"/>
		<xsl:value-of select="substring($datumswert, 9, 2)"/>.<xsl:value-of select="substring($datumswert, 6, 2)"/>.<xsl:value-of select="substring($datumswert, 1, 4)"/>
	</xsl:template>
	<xsl:template name="SigCheckBlock">
		<xsl:variable name="caserialnumbers">01</xsl:variable>
		<xsl:variable name="aussteller">
			<xsl:value-of select="//dsig:Object/etsi:QualifyingProperties/etsi:SignedProperties/etsi:SignedSignatureProperties/etsi:SigningCertificate/etsi:Cert/etsi:IssuerSerial/dsig:X509IssuerName"/>
		</xsl:variable>
		<xsl:variable name="organisation">
			<xsl:value-of select="substring-before(substring-after($aussteller,'O='),',')"/>
		</xsl:variable>
		<xsl:variable name="unit">
			<xsl:value-of select="substring-before(substring-after($aussteller,'OU='),',')"/>
		</xsl:variable>
		<br/>
		<div align="center">
			
		</div>
		<table bgcolor="#eeeeee" border="1" width="650px" style="width:650px; font-family: Courier, serif; font-size: 8px; text-align: auto;">
			<tbody>
				<tr>
					<td align="center" bgcolor="#ffffff" rowspan="5" valign="center" width="150">
						<img alt="BILDMARKE" border="0" src="%BILDMARKEURL" height="110px" width="110px"/>
					</td>
					<td align="center" width="100">
						Verfahren
					</td>
					<td style="word-break:break-all;word-wrap:break-word" width="400">
						<xsl:value-of select="//b:Bescheid/b:VerfahrensID"/>
					</td>
				</tr>
				<tr>
					<td align="center" width="100">
						Datum
					</td>
					<td style="word-break:break-all;word-wrap:break-word" width="400">
						<xsl:value-of select="//dsig:Object/etsi:QualifyingProperties/etsi:SignedProperties/etsi:SignedSignatureProperties/etsi:SigningTime"/>
					</td>
				</tr>
				<tr>
					<td align="center" width="100">
						Aussteller
					</td>
					<td style="word-break:break-all;word-wrap:break-word" width="400">
						<xsl:value-of select="$aussteller"/>
					</td>
				</tr>
				<tr>
					<td align="center" width="100">
						Serien-<br/>nummer
					</td>
					<td style="word-break:break-all;word-wrap:break-word" width="400">
						<xsl:value-of select="//dsig:Object/etsi:QualifyingProperties/etsi:SignedProperties/etsi:SignedSignatureProperties/etsi:SigningCertificate/etsi:Cert/etsi:IssuerSerial/dsig:X509SerialNumber"/>
					</td>
				</tr>
				<tr>
					<td align="center" width="100">
						Signatur-<br/>wert
					</td>
					<td style="word-break:break-all;word-wrap:break-word" width="400">
						<xsl:value-of select="//dsig:SignatureValue"/>
					</td>
				</tr>
				<tr>
				  <td align="center" width="100">
						Prüfinformation
					</td>
					<td colspan="2">
					 Informationen zur Prüfung der elektronischen Signatur finden Sie unter: <a href="https://www.signaturpruefung.gv.at">https://www.signaturpruefung.gv.at</a><br/>
					 Informationen zur Prüfung eines Ausdrucks dieses Dokuments finden Sie unter: <a href="https://apps.egiz.gv.at/srb-ver4">https://apps.egiz.gv.at/srb-ver4</a>
					</td>
				</tr>
				<tr>
				  <td align="center" width="100">
						Hinweis
					</td>
					<td colspan="2">
						Dieses Dokument wurde amtssigniert. Auch ein Ausdruck dieses Dokuments hat gemäß §20 E-Government-Gesetz die Beweiskraft einer öffentlichen Urkunde. 
					</td>
				</tr>
			</tbody>
		</table>
	</xsl:template>
</xsl:stylesheet>
